import React, { FC, ReactNode } from 'react'
import { ThemeProvider } from 'react-jss'

import { ThemeProps, defaultTheme } from '../../themes'
import CommonStyles from './common-styles'

type Props = {
  children: ReactNode
  theme?: ThemeProps
}

export const AppThemeProvider: FC<Props> = ({ children, theme = {} }) => {
  return (
    <ThemeProvider theme={{ ...defaultTheme, ...theme }}>
      <CommonStyles>{children}</CommonStyles>
    </ThemeProvider>
  )
}
