import * as CSS from 'csstype'

export type NextButtonType = {
  nextButton: CSS.Properties
  nextButtonHovered: CSS.Properties
  nextButtonFocus: CSS.Properties
  nextButtonDisabled: CSS.Properties
}

export const NextButtonStyles: NextButtonType = {
  nextButton: {
    background: '#FE8F20',
    color: '#FFFFFF',
    margin: '20px 0',
  },
  nextButtonHovered: {
    background: '#FFA449',
  },
  nextButtonFocus: {
    boxShadow: 'rgb(255 164 73 / 50%) 0px 0px 0px 0.2rem', // #FFA449
    background: '#DB7610',
  },
  nextButtonDisabled: {
    cursor: 'not-allowed',
    background: '#121620',
    color: '#c7c7c7',
  },
}
